Get a reconciliation source
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"contextId": "<string>",
"name": "<string>",
"config": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}Get a reconciliation source
Use this endpoint to retrieve the details of a specific reconciliation source by its identifier.
GET
/
v1
/
contexts
/
{contextId}
/
sources
/
{sourceId}
Get a reconciliation source
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the reconciliation context.
The unique identifier of the reconciliation source.
Response
Successfully retrieved source
Category of data source for reconciliation
Available options:
LEDGER, BANK, GATEWAY, CUSTOM, FETCHER Side of the reconciliation this source feeds
Available options:
LEFT, RIGHT Show child attributes
Show child attributes
RFC 3339 timestamp when the source was archived; absent when the source is live
Was this page helpful?
⌘I

